Package name
gdk-pixbuf
Date
2004-03-10
Advisory ID
MDKSA-2004:020
Affected versions
CS2.1 i586 , CS2.1 x86_64

Problem description

A vulnerability in gdk-pixbuf versions before 0.20 exists that could allow a malicious BMP file to crash the Evolution mail client. The updated packages have been patched to use gdk-pixbuf 0.22.0's BMP- handling code.

Updated packages

CS2.1 i586

 307125f2e64e3281a27091e8047cebd2  corporate/2.1/RPMS/gdk-pixbuf-loaders-0.18.0-3.1.C21mdk.i586.rpm
b6f48329e1651f870e455ee76bba549a  corporate/2.1/RPMS/libgdk-pixbuf-gnomecanvas1-0.18.0-3.1.C21mdk.i586.rpm
a5b60fb26fba984776edf66148fa4359  corporate/2.1/RPMS/libgdk-pixbuf-xlib2-0.18.0-3.1.C21mdk.i586.rpm
e0881362b84964b4c4f2d1229cdf99bb  corporate/2.1/RPMS/libgdk-pixbuf2-0.18.0-3.1.C21mdk.i586.rpm
1b748c4cde03a59eae05a5033384e098  corporate/2.1/RPMS/libgdk-pixbuf2-devel-0.18.0-3.1.C21mdk.i586.rpm
f9b4e50c5628d83f8ecac8d4a86514f4  corporate/2.1/SRPMS/gdk-pixbuf-0.18.0-3.1.C21mdk.src.rpm

CS2.1 x86_64

 94f75c462f340cd41fd7502778ffff67  x86_64/corporate/2.1/RPMS/gdk-pixbuf-loaders-0.18.0-3.1.C21mdk.x86_64.rpm
522747580e73376bc9cdda026d4fb768  x86_64/corporate/2.1/RPMS/libgdk-pixbuf-gnomecanvas1-0.18.0-3.1.C21mdk.x86_64.rpm
040fd303c41c248270f93b7f832e94f2  x86_64/corporate/2.1/RPMS/libgdk-pixbuf-xlib2-0.18.0-3.1.C21mdk.x86_64.rpm
0aa13efa52eb4146b1f1ecf33f62107c  x86_64/corporate/2.1/RPMS/libgdk-pixbuf2-0.18.0-3.1.C21mdk.x86_64.rpm
f7d53a73b37631855e6630070a20f6d9  x86_64/corporate/2.1/RPMS/libgdk-pixbuf2-devel-0.18.0-3.1.C21mdk.x86_64.rpm
f9b4e50c5628d83f8ecac8d4a86514f4  x86_64/corporate/2.1/SRPMS/gdk-pixbuf-0.18.0-3.1.C21mdk.src.rpm

References